(in-package :excl)

(defmacro with-stream-class ((class-name &optional stream) &body body)
  ;;(setq stream nil) reenabled -smh 10may93
  (if stream
      (let ((wrapper-var (gensym)))
	`(locally (declare (optimize (speed 3) (safety 1)))
	   (compiler-let ((%stream-class-name ',class-name)
			  (%stream-wrapper ',wrapper-var)
			  (comp:tail-call-non-self-merge-switch t))
	     (let ((,wrapper-var (clos::std-instance-slots ,stream)))
	       ,@body))))
    `(locally (declare (optimize (speed 2) (safety 1)))
       (compiler-let ((%stream-class-name ',class-name)
		      (%stream-wrapper 'nil)
		      (comp:tail-call-non-self-merge-switch t))
	 (locally ,@body)))))
