(in-package nc)


(defclass buffer (ncl-object)
  ((item :accessor buffer-item :initform ()
	 :moving-behavior :follow)))

(defpargeneric put-item :past (buffer item))
 
(defpargeneric get-item :future (buffer))
  


(defmethod put-item ((buf buffer) item)
  (when (buffer-item buf)
    (wait-for (get-item x)))
  (print (setf (buffer-item buf) item)))

(defmethod get-item ((buf buffer))
  (unless (buffer-item buf) 
    (wait-for (put-item buf x)))
  (prog1 (print (buffer-item buf))
    (setf (buffer-item buf) ())))
