(in-package user)

(defvar *nclos-root-directory* "~/nc/nclos/")
(defvar *nclos-local-directory* "~/nc/")


(setf (logical-pathname-translations "nclos")
  (list
   (list "packages;*.lisp"
	 (pathname (concatenate 'string 
		     *nclos-root-directory*
		     "packages/*.lisp")))
   (list "packages;*.cl"
	 (pathname (concatenate 'string 
		     *nclos-root-directory*
		     "packages/*.lisp")))
   
   #+(and Allegro-version>= (version>= 4 3) (not ALLEGRO-V5.0.1))	  
   (list "packages;*.fasl"
	 (pathname (concatenate 'string 
		     *nclos-local-directory*
		     "binary/*.*")))
   #+:ALLEGRO-V5.0.1
   (list "packages;*.fasl"
	 (pathname (concatenate 'string 
		     *nclos-local-directory*
		     "binary50/*.fasl")))
   
    #+:ALLEGRO-V5.0.1
   (list "**;*.fasl"
	 (pathname (concatenate 'string 
		     *nclos-local-directory*
		     "binary50/*.fasl")))
   
 #+(and Allegro-version>= (version>= 4 3) (not ALLEGRO-V5.0.1))	  
   (list "**;*.fasl"
	 (pathname (concatenate 'string 
		     *nclos-local-directory*
		     "binary/*.fasl")))
   (list ";*.fasl"
	 (pathname (concatenate 'string 
		     *nclos-local-directory*
		     "binary/*.fasl"))) 
   (list ";*.sys"
	 (pathname (concatenate 'string 
		     *nclos-local-directory*
		     "*.lisp")))
   #+(and Allegro-version>= (version>= 4 3) (not ALLEGRO-V5.0.1))	  
   (list "packages;*.fasl"
	 (pathname (concatenate 'string 
		     *nclos-local-directory*
		     "binary/*.*")))
   #+:ALLEGRO-V5.0.1
   (list "packages;*.fasl"
	 (pathname (concatenate 'string 
		     *nclos-local-directory*
		     "binary50/*.fasl")))
   
   (list ";*.lisp"
	 (pathname (concatenate 'string 
		     *nclos-root-directory*
		     "sources/*.lisp")))
   (list "*;*.lisp"
	 (pathname (concatenate 'string 
		     *nclos-root-directory*
		     "*/*.lisp")))
   (list ";*.*"
	 (pathname (concatenate 'string 
		     *nclos-root-directory*
		     "*.*")))
   ))

(defvar *pstru-root-directory* "~/nc/structures/")
(defvar *pstru-local-directory* "~/nc/")

(setf (logical-pathname-translations "pstructures")
  (list
   (list "packages;*.*"
	 (pathname (concatenate 'string 
		     *pstru-root-directory*
		     "packages/*.*"))) 

   (list "**;*.fasl"
	 (pathname (concatenate 'string 
		     *pstru-local-directory*
		     "binary/*.fasl")))
   (list ";*.fasl"
	 (pathname (concatenate 'string 
		     *pstru-local-directory*
		     "binary/*.fasl"))) 
   (list ";*.sys"
	 (pathname (concatenate 'string 
		     *pstru-local-directory*
		     "*.lisp"))) 
   (list "packages;*.*"
	 (pathname (concatenate 'string 
		     *pstru-root-directory*
		     "packages/*.*"))) 
   (list ";*.lisp"
	 (pathname (concatenate 'string 
		     *pstru-root-directory*
		     "sources/*.lisp")))   
   (list ";*.*"
	 (pathname (concatenate 'string 
		     *pstru-root-directory*
		     "*.*")))
   ))

(defmacro ip (package)
  `(in-package ,package))

(defun nc ()
  (in-package "NC"))


