(in-package nc)






(defclass move-tester (ncl-object)
  ((s1 :accessor s1
       :initarg :s1
       :moving-behavior :stay)
   (s2 :accessor s2
       :initarg :s2
       :moving-behavior :stay)
   (s3 :accessor s3
       :initarg :s3
       :moving-behavior :follow))
  (:metaclass mobile-object-class))

(defpargeneric pg1 :future (tester))

(defmethod pg1 ((tester move-tester)) (s1 tester))
	       
(defpargeneric pg2 :past (tester val))

(defmethod pg2 ((tester move-tester) val) (setf (s1 tester) val))	       

(defclass move-part ()
  ((s1 :accessor s1
       :initarg :s1
       :moving-behavior :stay))
  (:metaclass  mobile-object-class))







(defun testos (&rest machines)
  (ensure-os)
  (when machines
    (start-virtual-machine  machines))
  (let ((proxy1 (move (make-instance 'move-tester 
			:s1 1 
			:s2 (make-instance 'move-tester)  
			:s3 (make-instance 'move-part))
		      (first (spaces *manager*)))))
    (setf *test* proxy1)))


(defgeneric remfoo (tester1 tester2)
  (:generic-function-class ncl-gf))

(defmethod remfoo ((t1 move-tester) (t2 move-tester))
  (let ((help (s1 t1)))
    (setf (s1 t1) (s1 t2))
    (setf (s1 t2) help)))


	       
#|  
(defclass proxy-dispatching-gf (standard-generic-function)
  ()
  (:metaclass clos:funcallable-standard-class))

(defclass proxy () 
	 ((master-class-name :accessor master-class-name 
			     :initarg :master-class-name)))

(defmethod clos:compute-applicable-methods-using-classes ((gf proxy-dispatching-gf) classes)
  (if (loop for class in classes
	  thereis (eq (class-name class) 'proxy))
      (values nil nil)
    (call-next-method)))

(defmethod compute-applicable-methods ((gf proxy-dispatching-gf) arguments)
  (let* ((proxyp)
	 (classes (loop with proxy-class = (find-class 'proxy)
		       for arg in arguments
		       collect (if (eq (class-of arg)
				       proxy-class)
				   (progn (setf proxyp t)
					  (find-class (master-class-name arg)))
				 (class-of arg)))))
    (if proxyp
	(multiple-value-bind (method-list success)
	    (clos:compute-applicable-methods-using-classes gf classes)
	  (if success
	      method-list
	    (call-next-method)))
      (call-next-method))))

(defclass foo () ())

(defgeneric bar (x y) (:generic-function-class proxy-dispatching-gf))

(defmethod bar (x y) (format t "the general method was used"))

(defmethod bar ((x c2) (y c2)) (format t "the special method was used"))

(setf f (make-instance 'c2))

(setf p (make-instance 'proxy :master-class-name 'foo))

(bar 1 2)

(bar f f)

(bar f p)

(clos:compute-applicable-methods-using-classes (ensure-generic-function 'bar)
					      (list (find-class 'foo) 
						    (find-class 'proxy)))
 

(compute-applicable-methods (ensure-generic-function 
			     'bar)
			    (list f p))


|#
